/*
 * Copyright (c) 2008
 * Embedded Brains GmbH
 * Obere Lagerstr. 30
 * D-82178 Puchheim
 * Germany
 * rtems@embedded-brains.de
 *
 * The license and distribution terms for this file may be found in the file
 * LICENSE in this distribution or at http://www.rtems.com/license/LICENSE.
 */

package org.rtems.cdt.preferences;

import org.eclipse.core.runtime.Platform;
import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;
import org.rtems.cdt.Activator;
import org.rtems.cdt.Constants;

public class PreferenceInitializer extends AbstractPreferenceInitializer {
	public void initializeDefaultPreferences() {
		IPreferenceStore store = Activator.getDefault().getPreferenceStore();
		store.setDefault( Constants.BASE_PATH_KEY, Constants.DEFAULT_BASE_PATH);
		store.setDefault( Constants.BSP_PATH_KEY, Constants.DEFAULT_BSP_PATH);
		if (Platform.getOS().equals( Platform.OS_WIN32)) {
			store.setDefault( Constants.CYGWIN_PATH_KEY, Constants.DEFAULT_CYGWIN_PATH);
			store.setDefault( Constants.MINGW_PATH_KEY, Constants.DEFAULT_MINGW_PATH);
			store.setDefault( Constants.MSYS_PATH_KEY, Constants.DEFAULT_MSYS_PATH);
		}
	}
}
